"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const process = require("process");
const cli_1 = require("../../cli");
const session_1 = require("../../session");
const chalk_1 = require("chalk");
exports.command = 'assistant-info';
exports.desc = 'Fetch assistant';
exports.builder = {
    verbose: {
        demandOption: false,
        describe: 'Include remote logs',
        type: 'boolean',
        alias: 'v',
    },
};
exports.handler = (_) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    cli_1.default.stream.println('Fetching assistant infos');
    try {
        const client = new session_1.PegasusClient(cli_1.default.config.pegasusConfiguration);
        yield client.get_assistant_infos();
        cli_1.default.stream.success();
    }
    catch (e) {
        if (e.code === 'ENOTFOUND') {
            cli_1.default.stream.error(`Address not found. Check if your device is connected to the network. Or connect again with ${chalk_1.default.blue('sam pegasus connect')}`);
        }
        else {
            cli_1.default.stream.error(`Failed to install platform: ${e.message}`);
        }
        process.exit();
    }
});
//# sourceMappingURL=assistant-info.js.map