export class Assistant {

    id: string
    title: string
    language: string
    asrType: string
    hotword: string

    constructor(title: string, language: string, asrType: string, hotword: string) {
        this.title = title
        this.language = language
        this.asrType = asrType
        this.hotword = hotword
    }

    public static fromJSON = (json: any): Assistant | undefined => {
        return Object.assign(json)
    }
}

export class TrainingStatus {
    inProgress: boolean
    needTraining: boolean
    trainingResult: string | undefined

    constructor(json: any) {
        Object.assign(this, json)
    }
}

export class TrainingStatusResponse {
    nluStatus: TrainingStatus
    asrStatus: TrainingStatus
    approximateDownloadSize: number | undefined

    constructor(json: any) {
        Object.assign(this, json)
    }
}

export enum TrainingType {
    ASR = 'asr',
    NLU = 'nlu',
}
